SUMMARY = "Copy application and support files to target"
DESCRIPTION = "Target Apps"
HOMEPAGE = ""
LICENSE = "CLOSED"
SRC_PATH = "~/workspace/AACore/Insight.Core.ArcAgent.SBC/TargetFiles"

do_install() {
	bbwarn "****** Creating Insight folder ********"
	install -d ${D}/Insight
	cp -r ${SRC_PATH}/Insight/Applications ${D}/Insight
	cp -r ${SRC_PATH}/Insight/lib ${D}/Insight
	cp -r ${SRC_PATH}/Insight/Scripts ${D}/Insight

	bbwarn "****** Creating DevPages ******** "
	install -d ${D}/srv/www
	cp -r ${SRC_PATH}/srv/www/* ${D}/srv/www

	bbwarn "****** Updating /etc ******** "
	install -d ${D}/Insight/sbin/identity_tools
	touch ${D}/Insight/sbin/identity_tools/test_identity
	ln -s /Insight/sbin/identity_tools/test_identity ${D}/Insight/identity
	install -d ${D}/etc/rc5.d
	ln -s /Insight/Scripts/insightStartup.sh ${D}/etc/rc5.d/S20insight
	cp -r ${SRC_PATH}/etc ${D}/
}

FILES_${PN} += "/Insight /srv/www /etc"

