SUMMARY = "Copy application and support files to target"
DESCRIPTION = "Target Apps"
HOMEPAGE = ""
LICENSE = "CLOSED"
SRC_PATH = "~/workspace/AACore/Insight.Core.ArcAgent.SBC/TargetFiles"

do_install() {
	bbwarn "****** Copying Target folders ********"
	install -d ${D}/Insight
	cp -r ${SRC_PATH}/Insight/* ${D}/Insight

	bbwarn "****** Copying srv folders ********"
	install -d ${D}/srv/
	cp -r ${SRC_PATH}/srv/* ${D}/srv

	bbwarn "****** Copying etc folders ********"
	install -d ${D}/etc
	cp -r ${SRC_PATH}/etc/* ${D}/etc

	bbwarn "****** Setup Insight folders ********"
	install -d ${D}/Insight/sbin/identity_tools
	touch ${D}/Insight/sbin/identity_tools/test_identity
	ln -s /Insight/sbin/identity_tools/test_identity ${D}/Insight/identity
	install -d ${D}/etc/rc5.d
	ln -s /Insight/Scripts/insightStartup.sh ${D}/etc/rc5.d/S20insight
	cp -r ${SRC_PATH}/etc ${D}/
}

FILES_${PN} += "/Insight /srv /etc"

