SUMMARY = "Copy application and support files to target"
DESCRIPTION = "Target Apps"
HOMEPAGE = ""
LICENSE = "CLOSED"
SRC_PATH = "/media/build/Firmware.Deltaweld.SOM_Applications/TargetFiles"

#DEPENDS = "util-linux, curl"
#RDEPENDS_${PN} = "/bin/bash"

#RDEPENDS_${PN} = " curl openssl util-linux-libuuid bash"
RDEPENDS_${PN} = " curl util-linux-libuuid bash"

inherit update-rc.d
INITSCRIPT_NAME = "insight"

#INITSCRIPT_PARAMS = "start 20 5 . stop 80 0 1 2 3 4 6 ."
INITSCRIPT_PARAMS = "start 20 5 ."

do_install() {
	bbwarn "****** Copying Insight TargetFiles folder 200227 PN-284335 REV_A release ********"
	install -d ${D}/Insight
	cp -r ${SRC_PATH}/Insight/* ${D}/Insight

	bbwarn "****** Copying srv device page folder ********"
	install -d ${D}/srv/
	cp -r ${SRC_PATH}/srv/* ${D}/srv

	bbwarn "****** Copying insight startup script to init.d ********"
	install -d ${D}${sysconfdir}/init.d/
	install -m 0755 ${SRC_PATH}/Insight/Scripts/insight ${D}${sysconfdir}/init.d/insight

	bbwarn "****** Copying etc and etc/network folder ********"
	install -d ${D}/etc/network
	cp -r ${SRC_PATH}/etc ${D}/ 

	bbwarn "****** create build version information " ${DISTRO_VERSION} " ********"
	${SRC_PATH}/../HostScripts/CreateBuildVersionInfo.sh ${DISTRO_VERSION}
	install -d ${D}/BuildVersion
	cp BuildVersion ${D}/BuildVersion/
}

FILES_${PN} += "/Insight /srv /etc /home /BuildVersion"


