SUMMARY = "Copy application and support files to target"
DESCRIPTION = "Target Apps"
HOMEPAGE = ""
LICENSE = "CLOSED"
SRC_PATH = "~/Insight.Core.ArcAgent.SBC/TargetFiles"
#BUILD_VERSION_PATH = "/media/insight1/Disk3/Insight.Core.ArcAgent.build/conf"
#BUILD_VERSION_PATH = "~/Insight.Core.ArcAgent.SBC/TargetFiles"

#DEPENDS = "util-linux, curl"
#RDEPENDS_${PN} = "/bin/bash"

#RDEPENDS_${PN} = " curl openssl util-linux-libuuid bash"
RDEPENDS_${PN} = " curl util-linux-libuuid bash"

inherit update-rc.d
INITSCRIPT_NAME = "insight"

#INITSCRIPT_PARAMS = "start 20 5 . stop 80 0 1 2 3 4 6 ."
INITSCRIPT_PARAMS = "start 20 5 ."

do_install() {
	bbwarn "****** Copying Target folders ********"
	install -d ${D}/Insight
	cp -r ${SRC_PATH}/Insight/* ${D}/Insight

	bbwarn "****** Copying srv folders ********"
	install -d ${D}/srv/
	cp -r ${SRC_PATH}/srv/* ${D}/srv

	bbwarn "****** Copying insight startup script to init.d ********"
	install -d ${D}${sysconfdir}/init.d/
	install -m 0755 ${SRC_PATH}/Insight/Scripts/insight ${D}${sysconfdir}/init.d/insight

	bbwarn "****** commission script to home folder ********"
	install -d ${D}/home/root/ 
	install -m 0755 ${SRC_PATH}/Insight/Scripts/commission.sh ${D}/home/root 

	bbwarn "****** Copying etc folder ********"
	install -d ${D}/etc/
	cp -r ${SRC_PATH}/etc ${D}/

	bbwarn "****** create build version information ********"
	${SRC_PATH}/../HostScripts/CreateBuildVersionInfo.sh
	install -d ${D}/BuildVersion
	cp BuildVersion ${D}/BuildVersion/
}

FILES_${PN} += "/Insight /srv /etc /home /BuildVersion"


