SUMMARY = "Copy application and support files to target"
DESCRIPTION = "Target Apps"
HOMEPAGE = ""
LICENSE = "CLOSED"
SRC_PATH = "~/workspace/AACore/Insight.Core.ArcAgent.SBC/TargetFiles"

#DEPENDS = "util-linux, curl"
#RDEPENDS_${PN} = "/bin/bash"

INITSCRIPT_NAME = "insight"

#INITSCRIPT_PARAMS = "start 20 5 . stop 80 0 1 2 3 4 6 ."
INITSCRIPT_PARAMS = "start 20 5 ."

do_install() {
	bbwarn "****** Copying Target folders ********"
	install -d ${D}/Insight
	cp -r ${SRC_PATH}/Insight/* ${D}/Insight

	bbwarn "****** Copying srv folders ********"
	install -d ${D}/srv/
	cp -r ${SRC_PATH}/srv/* ${D}/srv

	bbwarn "****** Copying etc folders ********"
	install -d ${D}${sysconfdir}/init.d/
	install -m 0755 ${SRC_PATH}/Insight/Scripts/insight ${D}${sysconfdir}/init.d/insight
}

FILES_${PN} += "/Insight /srv /etc"


